#!/bin/sh

. /tmp/openit-cfg-shenv

# Author : Romnick C. Coros
# Last Update : September 21, 2016

#Get the platform
platform=`uname -i`
if [ "$platform" = "x86_64" ];
then
	ARCH="x86_64-unknown-linux"
else
	ARCH="i686-redhat-linux"
fi

HTTPD=/opt/openit/libexec/$ARCH/bin/httpd
OLD_HTTPD=/opt/openit/libexec/$ARCH/bin/httpd.pre_2002-1

#Backup the old httpd binary
if [ ! -f $OLD_HTTPD ];
then
	cp $HTTPD $OLD_HTTPD
fi

#copy the correct httpd binary to the installation
cp files/$ARCH/httpd /opt/openit/libexec/$ARCH/bin/httpd
